V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
whatshl
V2EX  ›  Vim

neovim 会支持 vim9script 吗?

  •  
  •   whatshl · 2020-12-03 17:41:34 +08:00 via Android · 2760 次点击
    这是一个创建于 1237 天前的主题,其中的信息可能已经有所发展或是发生改变。
    想入门 vim9script 了,不知道 neovim 有没有兼容的计划
    6 条回复    2021-02-21 12:00:54 +08:00
    thedrwu
        1
    thedrwu  
       2020-12-03 22:29:26 +08:00
    elvis 和 vim 老用户,然而刚熟练 vimscript 和 vim 的各种参数没几年,又换新的?学不动了 🥺
    yuuko
        2
    yuuko  
       2020-12-04 16:12:07 +08:00
    vim9script 有什么优势? lua 不香吗
    jdhao
        3
    jdhao  
       2020-12-04 19:15:21 +08:00
    那也得等 vim 9 script 稳定一下才有可能,现在还忙着修复各种问题呢。。
    chemzqm
        5
    chemzqm  
       2020-12-05 10:19:25 +08:00
    vim9 是为了性能提升开发的,你就算做插件不涉及大数量计算也基本用不着,如果你单纯是感兴趣,那当然越早研究越好
    SpaceVim
        6
    SpaceVim  
       2021-02-21 12:00:54 +08:00 via Android
    我感觉没有太大必要,目前除非是非常密集的计算
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   实用小工具   ·   1227 人在线   最高记录 6543   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 24ms · UTC 23:13 · PVG 07:13 · LAX 16:13 · JFK 19:13
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.